//
//  Console application which copy files and folders to\from PocketPC
//  
//
//  Author: Alexander Shilonosov, 
//	        shilo@dekart.com, Aug 2003
//
//  THIS SOFTWARE IS PROVIDED BY THE AUTHOR UNDER 
//  "AS IS" AND "NO WARRANTY" terms.
//
//
//
//

#include "stdafx.h"
#include <time.h>
#include <conio.h>



CRapi rapi;


void ExecCmd(LPCTSTR cmd, LPCTSTR par1, LPCTSTR par2, LPCTSTR par3, LPCTSTR par4 )
{
	if ( !_tcscmp(cmd, _TEXT("dir") ) ) 
		rapi.dir(par1, par2, par3, par4);

	if ( !_tcscmp(cmd, _TEXT("copy") ) ) 
		rapi.copy(par1, par2, par3, par4);

	if ( !_tcscmp(cmd, _TEXT("del") ) ) 
		rapi.del(par1, par2, par3, par4);

	if ( !_tcscmp(cmd, _TEXT("run") ) ) 
		rapi.run(par1, par2, par3, par4);

	if ( !_tcscmp(cmd, _TEXT("db") ) ) 
		rapi.db(par1, par2, par3, par4);


}

void ExecBat(LPCTSTR file, LPCTSTR par1, LPCTSTR par2, LPCTSTR par3, LPCTSTR par4 )
{
	FILE *f;
	if ( (f  = fopen( file, "rt" )) ==NULL) {
		printf("could not open %s", file);
		return;
	}	

}

int main(int argc, char* argv[])
{

	if ( argc < 2 ) {
		printf("\nRemote cmd.exe for PocketPC, ver1.4\nAuthor: Alexander Shilonosov, shilo@dekart.com\n\n");
		printf("Usage:\n");
		printf("rcmd.exe dir path\\mask \n");
		printf("rcmd.exe copy path\\mask path2 \n");
		printf("rcmd.exe del path\\mask \n");
		printf("rcmd.exe run path params \n");
		printf("rcmd.exe db \n");
		printf("\nExample:\n");
		printf("dir *\ndir temp\\*\n");
		printf("copy c:\\temp\\*.txt temp\\ \ncopy temp\\* \"c:\\my documents\\\"\n");
		printf("del temp\\* \n\n");
		puts("PRESS ANY KEY ....");
		_getch();
		return 0;
	}

	TCHAR cmd_line[5000];
	_tcsncpy(cmd_line, GetCommandLine() ,4000);

	if (!rapi.Init() ) return 0;

#define IS_LAST_CHAR(X,Y) (X && X[0]!=0) ? X[_tcslen(X)-1] == Y : false
#define SET_LAST_CHAR(X,Y) if (X && X[0]!=0) X[_tcslen(X)-1] = Y;

	for (int x=1; x<argc; x++)
	if ( IS_LAST_CHAR(argv[x],'"') ) SET_LAST_CHAR(argv[x],'\\')
	//if ( IS_LAST_CHAR(argv[2],'"') ) SET_LAST_CHAR(argv[2],'\\')
	//if ( IS_LAST_CHAR(argv[3],'"') ) 
	//	SET_LAST_CHAR(argv[3],'\\')
	//if ( IS_LAST_CHAR(argv[4],'"') ) SET_`LAST_CHAR(argv[4],'\\')


	ExecCmd(argv[1], argv[2],  argv[3], argv[4], argv[5] );

	return 0;
}
