//
//  Author: Alexander Shilonosov, 
//	shilo@dekart.com, Aug 2003.
//
//  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ... bla-bla-bla
//
//
//  CRAPI.h
//
//
//

#if !defined(AFX_RAPI1_H__88786C55_5E8E_4B76_AE1F_41EF790C43D9__INCLUDED_)
#define AFX_RAPI1_H__88786C55_5E8E_4B76_AE1F_41EF790C43D9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include <windows.h>
#include <stdio.h>
#include <tchar.h>
#include <rapi.h>

class CRapi  
{
public:
	int db(LPCTSTR par1, LPCTSTR par2, LPCTSTR par3, LPCTSTR par4);
	int run(LPCTSTR par1, LPCTSTR par2, LPCTSTR par3, LPCTSTR par4);	
	
	int dir(LPCTSTR par1, LPCTSTR par2, LPCTSTR par3, LPCTSTR par4);

	int copy(LPCTSTR par1, LPCTSTR par2, LPCTSTR par3, LPCTSTR par4);
	int del(LPCTSTR par1, LPCTSTR par2, LPCTSTR par3, LPCTSTR par4);

	CRapi();
	virtual ~CRapi();
	bool Init();

private:

	// recursive enumeration purpose :
	enum Action {
		doCopyToPPC, // copy files to PocketPC
		doCopyToPC, // copy files to Desktop
		doCopytoPPC2, // 
		doDelete,	// deleting files
		doCountFileSizesPPC, // counting file sizes for ProgressBar
		doCountFileSizesPC,
		doDirPPC

	};
	TCHAR curr_dir[400]; // current folder on PPC
	TCHAR curr_dir1[400]; // current folder on PC
	DWORD m_TotalCopySize;
	DWORD m_TotalFiles, m_TotalFolders;
	bool m_bRecursive;
	DWORD m_sysFreeSpace;


	void doActionEnterFolder(LPCTSTR file, int action, void *fndData);
	void doActionExitFolder(LPCTSTR file, int action);
	void doActionFile(LPCTSTR file, int action, void *fndData);
	int CopyFile1(LPCTSTR srcFile, LPCTSTR destFile);
	int CopyFile2(LPCTSTR srcFile, LPCTSTR destFile);
	void PrintMsg(LPCTSTR msg, ...);

	void enumFiles2(LPWSTR path, int action);
	void enumFiles1(LPCTSTR path, int action);

	STORE_INFORMATION m_ppc_store;


	void db_ShowPropDesc(CEPROPID PropId, DWORD dwOpenHandle, LONG dwCurrentRecord);


};

#endif // !defined(AFX_RAPI1_H__88786C55_5E8E_4B76_AE1F_41EF790C43D9__INCLUDED_)
